package w2phtml.rdf;

import java.io.IOException;
import java.io.InputStream;

import w2phtml.api.ConverterResult;
import w2phtml.base.ConverterResultImpl;
import w2phtml.xhtml.Converter;
import w2phtml.xhtml.XhtmlDocument;


public final class RDFConverter extends Converter {

   // Constructor
   public RDFConverter() {
       super(XhtmlDocument.HTML5);
       this.isRDF = true;
   }

     @Override public ConverterResult convert(InputStream is, String sTargetFileName) throws IOException {
     	setOpenPubStructure(false);
     	ConverterResult xhtmlResult = super.convert(is, "chapter");
     	return createPackage(xhtmlResult,sTargetFileName);
     }
     
     @Override public ConverterResult convert(org.w3c.dom.Document dom, String sTargetFileName, boolean bDestructive) throws IOException {
     	ConverterResult xhtmlResult = super.convert(dom, "chapter", bDestructive);
     	return createPackage(xhtmlResult,sTargetFileName);    	
     }
     
		private ConverterResult createPackage(ConverterResult xhtmlResult, String sTargetFileName) {
     	ConverterResultImpl rdfConverterResult = new ConverterResultImpl();
     	RDFDocumentResult rdfDocument = new RDFDocumentResult(this.outFiles,sTargetFileName,getXhtmlConfig());
     	rdfConverterResult.addDocument(rdfDocument);
     	return rdfConverterResult;
     }

 }